#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire600six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 600"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six6004xi



# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six6004xi = {
                1:'-100x165y-568z',
                2:'-100x570y-157z',
                3:'-103x25y-590z',
                4:'-105x155y-569z',
                5:'-107x32y-589z',
                6:'-110x144y-571z',
                7:'-111x39y-588z',
                8:'-113x134y-573z',
                9:'-114x47y-587z',
                10:'-115x400y-431z',
                11:'-116x124y-575z',
                12:'-116x56y-585z',
                13:'-118x113y-576z',
                14:'-118x65y-584z',
                15:'-120x103y-578z',
                16:'-120x74y-583z',
                17:'-120x83y-581z',
                18:'-121x93y-580z',
                19:'-122x561y-173z',
                20:'-130x562y-163z',
                21:'-134x389y-435z',
                22:'-151x552y-178z',
                23:'-153x378y-439z',
                24:'-158x553y-169z',
                25:'-171x365y-443z',
                26:'-179x542y-184z',
                27:'-17x242y-548z',
                28:'-187x352y-447z',
                29:'-187x542y-174z',
                30:'-203x337y-451z',
                31:'-206x530y-190z',
                32:'-214x530y-180z',
                33:'-218x323y-455z',
                34:'-232x307y-459z',
                35:'-233x516y-196z',
                36:'-241x516y-186z',
                37:'-245x291y-463z',
                38:'-257x274y-467z',
                39:'-259x502y-201z',
                40:'-267x257y-471z',
                41:'-267x501y-191z',
                42:'-277x240y-474z',
                43:'-284x486y-207z',
                44:'-285x222y-478z',
                45:'-292x485y-197z',
                46:'-293x204y-482z',
                47:'-299x186y-485z',
                48:'-29x236y-550z',
                49:'-302x10y-518z',
                50:'-304x168y-489z',
                51:'-306x26y-515z',
                52:'-307x468y-212z',
                53:'-308x149y-492z',
                54:'-309x43y-512z',
                55:'-311x131y-495z',
                56:'-311x60y-509z',
                57:'-312x113y-499z',
                58:'-313x77y-505z',
                59:'-313x95y-502z',
                60:'-315x467y-203z',
                61:'-330x450y-218z',
                62:'-338x449y-208z',
                63:'-352x430y-224z',
                64:'-360x429y-214z',
                65:'-373x409y-229z',
                66:'-378x465y-1z',
                67:'-380x408y-220z',
                68:'-392x388y-235z',
                69:'-400x385y-225z',
                70:'-402x444y-7z',
                71:'-410x365y-240z',
                72:'-418x363y-231z',
                73:'-41x228y-553z',
                74:'-425x423y-13z',
                75:'-427x342y-246z',
                76:'-434x339y-236z',
                77:'-442x317y-251z',
                78:'-446x400y-19z',
                79:'-449x314y-242z',
                80:'-456x292y-257z',
                81:'-463x289y-247z',
                82:'-466x376y-25z',
                83:'-468x267y-262z',
                84:'-475x263y-253z',
                85:'-479x241y-267z',
                86:'-485x351y-31z',
                87:'-489x214y-273z',
                88:'-497x187y-278z',
                89:'-502x325y-37z',
                90:'-503x160y-283z',
                91:'-508x133y-289z',
                92:'-511x106y-294z',
                93:'-513x24y-309z',
                94:'-513x78y-299z',
                95:'-514x51y-304z',
                96:'-518x298y-43z',
                97:'-51x220y-555z',
                98:'-533x270y-49z',
                99:'-53x426y-418z',
                100:'-546x241y-55z',
                101:'-557x212y-61z',
                102:'-567x182y-67z',
                103:'-567x276y-301z',
                104:'-575x152y-73z',
                105:'-581x122y-79z',
                106:'-586x91y-85z',
                107:'-589x60y-91z',
                108:'-591x29y-97z',
                109:'-61x212y-557z',
                110:'-63x574y-161z',
                111:'-71x203y-559z',
                112:'-74x418y-423z',
                113:'-79x194y-561z',
                114:'-82x2y-594z',
                115:'-87x185y-564z',
                116:'-88x7y-593z',
                117:'-93x12y-592z',
                118:'-93x568y-167z',
                119:'-94x175y-566z',
                120:'-95x410y-427z',
                121:'-98x18y-591z'}


#"
#/>


# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire600six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire600six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE600SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE600SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE600SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE600SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE600SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six6004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE600SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE600SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE600SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six600x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six600x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE600SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE600SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE600SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire600six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
